#
# spec file for package mda-lv2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mda-lv2
Version:        1.2.6
Release:        1.11
Summary:        LV2 port of MDA plugins
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://drobilla.net/software/mda-lv2.html
Source:         https://download.drobilla.net/mda-lv2-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  lv2
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(lv2)

%description
MDA-LV2 is an LV2 port of the MDA plugins by Paul Kellett. It
contains 36 high-quality plugins for a variety of tasks.

The instrument plugins make use of the new atom:AtomPort to receive
MIDI. Apologies for any inconvenience, but this means they will
only work in modern hosts which have implemented atom-based MIDI.
The effects should work fine in any LV2 host.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
python3 ./waf configure --prefix=%{_prefix} --libdir=%{_libdir}
python3 ./waf -v

%install
python3 ./waf --destdir=%{buildroot} install

%files
%{_libdir}/lv2/mda.lv2

%changelog
* Tue Jan  4 2022 Dirk Müller <dmueller@suse.com>
- update to 1.2.6:
  * Various minor code quality improvements
* Mon Jan  4 2021 Wang Jun <jgwang@suse.com>
- Update to version 1.2.4
  * Fix a few minor metadata issues
  * Fix initial noise with Piano (zero comb filter and voices on
    startup)
  * Fix invalid Vocoder preset description
  * Fix misleading indentation warnings with GCC 6
  * Update build system
  * Use rdfs:label for port groups
* Thu Jun 20 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to latest git commit to have python3 support
- Added _service
* Sun Feb  8 2015 pztrn@pztrn.name
- Initial commit and build.
